<?php
/**
 * Настройки бэкенда «Bifit»
 *
 * @package    DIAFAN.CMS
 * @author     https://user.diafan.ru/user/eamat/
 * @version    6.0
 * @license    http://www.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2023 OOO «Диафан» (http://www.diafan.ru/)
 */

if (!defined("DIAFAN")) {
	$path = __FILE__;

	while (!file_exists($path . "/includes/404.php")) {
		$parent = dirname($path);

		if ($parent == $path) {
			exit();
		}

		$path = $parent;
	}

	include $path . "/includes/404.php";
}

class Cashregister_bifit_admin extends Diafan
{
	/**
	 * @var array настройки кассы
	 */
	public $config = [
		"name" => "БИФИТ Касса",
		"params" => [
			"test" => [
				"type" => "select",
				"name" => "Тестовый режим",
				"help" => "Выберите режим работы",
				"default" => "1",
				"select" => [
					"1" => "да",
					"0" => "нет",
				],
			],
			"log" => [
				"type" => "select",
				"name" => "Логирование",
				"help" => "Выберите логирование.",
				"default" => "1",
				"select" => [
					"1" => "да",
					"0" => "нет",
				],
			],
			"token" => [
				"type" => "text",
				"name" => "Токен доступа",
				"help" => "Введите выданный токен доступа.",
			],
			"cashier_name" => [
				"type" => "text",
				"name" => "ФИО кассира",
				"placeholder" => "Иванов И.И.",
				"default" => "Иванов И.И.",
				"help" => "Введите фамилию и инициалы кассира.",
			],
			"cashier_inn" => [
				"type" => "text",
				"name" => "ИНН кассира:",
				"placeholder" => "ИНН кассира",
				"default" => "Иванов И.И.",
				"help" => "Введите ИНН кассира.",
			],
			"payment_address" => [
				"type" => "text",
				"name" => "Место расчётов",
				"placeholder" => "https://site.ru",
				"help" => "Введите место расчётов.",
			],
			"address_type" => [
				"type" => "select",
				"name" => "Адрес клиентае",
				"help" => "Выберите тип адреса",
				"default" => "email",
				"select" => [
					"phone" => "Телефон",
					"email" => "E-mail",
				],
			],
			/*
			'fio' => array(
				'type' => 'select',
				'name' => 'ФИО клиента',
				'help' => 'Выберите выводить или нет ФИО клиента',
				'default' => '0',
				'select' => array(
					'1' => 'да',
					'0' => 'нет'
				)
			),
			*/
			"receipt_type" => [
				"type" => "select",
				"name" => "Тип документа",
				"help" => "Выберите тип документ",
				"default" => "SALE",
				"select" => [
					"SALE" => "Приход",
					"SALE_RETURN" => "Возврат прихода",
					"PURCHASE" => "Расход",
					"PURCHASE_RETURN" => "Возврат расхода",
				],
			],
			"tax_system" => [
				"type" => "select",
				"name" => "Система налогообложения",
				"help" => "Выберите систему налогообложения",
				"default" => "COMMON",
				"select" => [
					"COMMON" => "ОСН",
					"SIMPLIFIED" => "УСН доход",
					"SIMPLIFIED_WITH_EXPENSE" => "УСН доход-расход",
					"ENVD" => "ЕНВД",
					"COMMON_AGRICULTURAL" => "ЕСХН",
					"PATENT" => "ПАТЕНТ",
				],
			],
			"calculation_method" => [
				"type" => "select",
				"name" => "Признак способа расчёта",
				"help" => "Выберите признак способа расчёта",
				"default" => "FULL_PAY",
				"select" => [
					"PREPAY_FULL" =>
						"Полная предварительная оплата до момента передачи предмета расчёта",
					"PREPAY_PARTIAL" =>
						"Частичная предварительная оплата до момента передачи предмета расчёта",
					"AVANS" => "Аванс",
					"FULL_PAY" =>
						"Полная оплата, в том числе с учётом аванса (предварительной оплаты) в момент передачи предмета расчёта",
					"PARTIAL_SETTLEMENT_AND_CREDIT" =>
						"Частичная оплата предмета расчёта в момент его передачи с последующей оплатой в кредит",
					"TRANSFER_ON_CREDIT" =>
						"Передача предмета расчёта без его оплаты в момент его передачи с последующей оплатой в кредит",
					"CREDIT_PAYMENT" =>
						"Оплата предмета расчёта после его передачи с оплатой в кредит (оплата кредита)",
				],
			],
			"payment_type" => [
				"type" => "select",
				"name" => "Тип оплаты",
				"help" => "Выберите тип оплаты",
				"default" => "CARD",
				"select" => [
					"CASH" => "Сумма оплаты наличными",
					"CARD" => "Сумма оплата безналичными",
					"PREPAY" => "Сумма оплаты предоплатой (зачётом аванса)",
					"POSTPAY" => "Сумма оплаты постоплатой (в кредит)",
					"OTHER" => "Сумма оплаты встречным предоставлением",
				],
			],
			/*
			'vat_mode' => array(
				'type' => 'select',
				'name' => 'Единый НДС:',
				'help' => 'Выберите режим назначения НДС: \'Да\' - применить значение параметра \'Ставка НДС\' (ниже) ко всем товарам сайта; \'Нет\' - выводить значение НДС согласно настроек каждого товара',
				'default' => '1',
				'select' => array(
					'1' => 'да',
					'0' => 'нет'
				)
			),
			*/
			"vat" => [
				"type" => "select",
				"name" => "Ставка НДС",
				"help" => "Выберите ставку НДС",
				"select" => [
					"WITHOUT_VAT" => "Без НДС",
					"VAT_0" => "НДС 0%",
					"VAT_10" => "НДС 10%",
					"VAT_20" => "НДС 20%",
					"VAT_110" => "НДС 10/110",
					"VAT_120" => "НДС 20/120",
				],
			],
		],
	];
}
